%define	name	gsm
%define version 1.0.10
%define release 9mdk
%define	srcver	1.0-pl10

%define	major	1
%define libname	%mklibname %{name} %{major}

Summary:	Shared libraries for GSM speech compressor
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	distributable
URL:		http://kbs.cs.tu-berlin.de/~jutta/toast.html
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gsm-1.0.10-dyn.patch.bz2
Patch1:		gsm-1.0-pl10-includes.patch.bz2
Patch2:		gsm-1.0-pl10-utimes.patch.bz2
Patch3:		gsm-1.0-pl10-shared.diff.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable 
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%package -n	%{libname}
Summary:	Shared libraries for GSM speech compressor
Group:          System/Libraries

%description -n	%{libname}
Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable 
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%package -n	%{libname}-devel
Summary:	Development libraries for a GSM speech compressor
Group:		Development/C
Obsoletes:	%{name}-devel libgsm-devel
Provides:	%{name}-devel libgsm-devel
Requires:	%{libname} = %{version}

%description -n	%{libname}-devel
Contains header files and development libraries for libgsm, an
implementation of the European GSM 06.10 provisional standard for
full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
(residual pulse excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable 
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%prep

%setup -q -n %{name}-%{srcver}
%patch0 -p1
%patch1 -p1 -b .includes
%patch2 -p1 -b .utimes
%patch3 -p0 -b .shared

%build

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

ln -snf toast %{buildroot}%{_bindir}/untoast
ln -snf toast %{buildroot}%{_bindir}/tcat

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog* README
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/gsm
%{_mandir}/man3/*

%changelog
* Thu May 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-9mdk
- rpmlint fixes

* Sat Sep 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.10-8mdk
- provide a shared lib as well (P3 was taken from dag's package)

* Wed Apr 14 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.10-7mdk
- fix missing includes, use correct args to utime()
- build static library with PIC as it is built into a DSO (gstreamer-plugins)

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.10-6mdk
- rebuild
- don't rm -rf %{buildroot} in %%prep
- quiet setup
- fix installation in stead o working around it
- cosmetics

* Thu Aug 29 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-5mdk
- rebuild

* Fri Jul 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-4mdk
- rebuild
- really add url

* Sun Mar 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-3mdk
- url, macros
- provide man pages

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.10-2mdk
- rebuild

* Fri Oct 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.10-1mdk
- first version

# libgsm.spec ends here
